OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
cargopacket_sl.cpp File Reference

Code handling saving and loading of cargo packets. More...

`#include "../stdafx.h"`
`#include "../vehicle_base.h"`
`#include "../station_base.h"`
`#include "saveload.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
const SaveLoad * | GetCargoPacketDesc ()
| Wrapper function to get the CargoPacket's internal structure while some of the variables itself are private.
static void | Save_CAPA ()
| Save the cargo packets.
static void | Load_CAPA ()
| Load the cargo packets.

## Variables
const ChunkHandler | _cargopacket_chunk_handlers []
| Chunk handlers related to cargo packets.

## Detailed Description

Code handling saving and loading of cargo packets.

Definition in file cargopacket_sl.cpp.

## Function Documentation

const SaveLoad* GetCargoPacketDesc | ( |  | ) |
| read

Wrapper function to get the CargoPacket's internal structure while some of the variables itself are private.

We want this to be saved, right?

Returns
  the saveload description for CargoPackets.

Definition at line 94 of file cargopacket_sl.cpp.

References SL_MAX_VERSION, SLE_CONDNULL, SLE_CONDVAR, SLE_END, and SLE_VAR.

Referenced by Load_CAPA(), and Save_CAPA().

## Variable Documentation

const ChunkHandler _cargopacket_chunk_handlers[]

Initial value:
{
{ 'CAPA', Save_CAPA, Load_CAPA, NULL, NULL, CH_ARRAY | CH_LAST},
}

Chunk handlers related to cargo packets.